#include "pidrawwin.h"

PIDrawWindow::PIDrawWindow(PIMsgHandler* par, const char *nom,
                               PIWindowKind k, int sx, int sy, int px, int py)
:PIWindow(par, nom, k, sx, sy, px, py)
{
   mDrawWdg = new PIScDrawWdg(this, nom, sx-20, sy-20, 10, 10);
   mDrawWdg->SetBinding(PIBK_fixed, PIBK_fixed, PIBK_fixed, PIBK_fixed);   
}


PIDrawWindow::~PIDrawWindow()
{
  delete mDrawWdg;
}

void
PIDrawWindow::AddScDrawer(PIDrawer* d, bool ad)
{
  mDrawWdg->AddScDrawer(d, ad);
}

void
PIDrawWindow::SetAxesFlags(int flags)
{
  mDrawWdg->SetAxesFlags(flags);
}

